Skip to main content

Query for invoices

GET 

/api/v3/invoice

Filtering

Available query parameter values for filtering:

  • invoice_id
  • refnumber
  • customer_id
  • bill_state
  • ship_state
  • bill_country
  • ship_country
  • invoice_status_str - See the list of valid values below
  • invoice_status_state - See the list of valid values below
  • package_token
  • package_id
  • invoice_index
  • date
  • currency_id
  • token
  • custom_1
  • custom_2
  • custom_3
  • subtotal
  • total
  • balance
  • line_items.item_id
  • line_items.custom_1
  • line_items.custom_2
  • line_items.custom_3
  • line_items.item.categories.item_category_id
  • transaction.transaction_id - Get a list of invoices paid by this transaction
  • quote.quote_id - Get the invoice that originated from a specific quote
  • write_datetime - date/time created
  • mod_datetime - date/time last modified

Expansions

Nodes you can expand by using the ?expand= query parameter:

  • line_items - To get the line items for each invoice

Enums

Valid values for invoice_status_str:

  • open-unpaid
  • open-overdue
  • open-collections
  • closed-void
  • closed-paid

Valid values for invoice_status_state:

  • o (any “open” invoice, i.e. anything with money due)
  • c (any “closed” invoice, i.e. anything without money due)

Request

Responses

Object was fetched successfully